{ lib, buildNimPackage, fetchFromGitea, syndicate, libnotify, pkg-config }:

buildNimPackage rec {
  pname = "libnotify_actor";
  version = "20230405";

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = pname;
    rev = version;
    hash = "sha256-lPobpCtstf/r3M7u7cFfe2neSPf1JtyeCAS5BbtRhQM=";
  };

  propagatedNativeBuildInputs = [ pkg-config ];
  propagatedBuildInputs = [ libnotify syndicate ];

  meta = src.meta // {
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
}
